## glui 2.37

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

project(glui)

find_package(GLUT REQUIRED)
find_package(OpenGL REQUIRED)

include_directories(${GLUT_INCLUDE_DIR}/include)
include_directories(${CMAKE_SOURCE_DIR}/include)

SET(GLUI_SRCS
 algebra3.cpp
 arcball.cpp
 glui_add_controls.cpp
 glui_bitmap_img_data.cpp
 glui_bitmaps.cpp
 glui_button.cpp
 glui_checkbox.cpp
 glui_column.cpp
 glui_commandline.cpp
 glui_control.cpp
 glui.cpp
 glui_edittext.cpp
 glui_filebrowser.cpp
 glui_listbox.cpp
 glui_list.cpp
 glui_mouse_iaction.cpp
 glui_node.cpp
 glui_panel.cpp
 glui_radio.cpp
 glui_rollout.cpp
 glui_rotation.cpp
 glui_scrollbar.cpp
 glui_separator.cpp
 glui_spinner.cpp
 glui_statictext.cpp
 glui_string.cpp
 glui_textbox.cpp
 glui_translation.cpp
 glui_tree.cpp
 glui_treepanel.cpp
 glui_window.cpp
 quaternion.cpp
 viewmodel.cpp
)
add_library(glui_obj OBJECT ${GLUI_SRCS})
# we need to enable -fPIC this so that the same object code can be used to
# create static *and* shared libraries without double compilation
set_property(TARGET glui_obj PROPERTY POSITION_INDEPENDENT_CODE 1)

add_library(glui SHARED $<TARGET_OBJECTS:glui_obj>)
target_link_libraries(glui ${GLUT_LIBRARIES})

add_library(glui_static STATIC $<TARGET_OBJECTS:glui_obj>)
target_link_libraries(glui_static ${GLUT_LIBRARIES})

add_executable(ppm2array tools/ppm.cpp tools/ppm2array.cpp)
target_link_libraries(ppm2array)

add_executable(example1 example/example1.cpp)
target_link_libraries(example1 glui_static ${GLUT_LIBRARIES} ${OPENGL_LIBRARIES})
add_executable(example2 example/example2.cpp)
target_link_libraries(example2 glui_static ${GLUT_LIBRARIES} ${OPENGL_LIBRARIES})
add_executable(example3 example/example3.cpp)
target_link_libraries(example3 glui_static ${GLUT_LIBRARIES} ${OPENGL_LIBRARIES})
add_executable(example4 example/example4.cpp)
target_link_libraries(example4 glui_static ${GLUT_LIBRARIES} ${OPENGL_LIBRARIES})
add_executable(example5 example/example5.cpp)
target_link_libraries(example5 glui_static ${GLUT_LIBRARIES} ${OPENGL_LIBRARIES})
add_executable(example6 example/example6.cpp)
target_link_libraries(example6 glui_static ${GLUT_LIBRARIES} ${OPENGL_LIBRARIES})

=== debian/changelog ===
glui (2.37-1+2.47) unstable; urgency=low

  * version number update by debtransform

 -- debtransform <build@opensuse.org>  Wed, 01 Oct 2025 02:53:36 +0000

glui (2.37cd20190619) unstable; urgency=low

  * Update pull latest from git

 -- Rene van Paassen <rene.vanpaassen@gmail.com>  Mon, 26 Dec 2022 11:50:00 +0100

glui (2.36-4ubuntu1) lucid; urgency=low

  * Merge from debian testing, remaining changes:  (LP: #488964)
    -  Add -i to libtoolize call in debian/build/bootstrap.sh so that all files
      are copied.

 -- Charlie Smotherman <cjsmo@ubuntu.com>  Thu, 26 Nov 2009 16:03:40 -0500

glui (2.36-4) unstable; urgency=low

  * Update freeglut Build-Depends. Closes: #544622.
  * Update Standards-Version to 3.8.3.

 -- Bradley Smith <bradsmith@debian.org>  Wed, 02 Sep 2009 18:31:02 +0100

glui (2.36-3ubuntu1) jaunty; urgency=low

  * Merge from debian unstable, remaining changes: LP: #313382
    - Add -i to libtoolize call in debian/build/bootstrap.sh so that all files
      are copied.

 -- Bhavani Shankar <right2bhavi@gmail.com>  Sat, 03 Jan 2009 10:28:35 +0530

glui (2.36-3) unstable; urgency=low

  * Fix parallel builds. Closes: #506821.

 -- Bradley Smith <bradsmith@debian.org>  Tue, 25 Nov 2008 02:42:06 +0000

glui (2.36-2ubuntu2) jaunty; urgency=low

  * Make build-stamp depend on configure-stamp to fix parallel build.

 -- James Westby <james.westby@canonical.com>  Tue, 25 Nov 2008 00:09:30 +0000

glui (2.36-2ubuntu1) jaunty; urgency=low

  * Add -i to libtoolize call in debian/build/bootstrap.sh so that all files
    are copied.

 -- James Westby <james.westby@canonical.com>  Mon, 24 Nov 2008 22:26:51 +0000

glui (2.36-2) unstable; urgency=low

  * debian/control
    - Replace obsolete Build-Depends (glutg3-dev -> freeglut-dev).
    - New maintainer email address.
    - Update compat to 7 and upgrade debhelper Build-Depends
    - Add missing ${misc:depends} Depends.
    - Add Homepage field.
    - Add Vcs-* fields.
  * Convert copyright to machine readable format.
  * Add pkg-config file. Closes: #493377.

 -- Bradley Smith <bradsmith@debian.org>  Sat, 18 Oct 2008 22:59:10 +0100

glui (2.36-1) unstable; urgency=low

  * New Upstream Release.
  * New Maintainer. Closes: #471985.
  * Correct debian/copyright. Closes: #434876.
  * Improve descriptions. Closes: #209656.
  * Overhaul Packaging. Closes: #241141.
   - Update Standards-Version to 3.8.0.
   - Add watch file.
   - Update compat to 5, add dependency on debhelper 5.
   - Add saner autotools build system.
   - Tidy up debian/rules.
   - Use binary:Version in place of Source-Version.
   - Remove dependency on libstdc++-dev. Closes: #268596.
   - Correct overrides. Closes: #310481.

 -- Bradley Smith <brad@brad-smith.co.uk>  Sun, 06 Jul 2008 16:04:43 +0100

glui (2.2-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * C++ ABI transition (Closes: #335635).

 -- Luk Claes <luk@debian.org>  Wed, 26 Oct 2005 10:54:47 +0200

glui (2.2-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Apply patch from Torsten Werner to correct package names in
    debian/control.in (closes: bug#310077).
  * Merge changes incorrectly made to debian/control back into
    debian/control.in to prevent them being lost.
  * Regenerate debian/control from debian/control.in.

 -- Roger Leigh <rleigh@debian.org>  Mon, 23 May 2005 21:01:46 +0100

glui (2.2-2) unstable; urgency=low

  * Makefile: VERSION = 2.2, thanks to Colin Macdonald (closes: bug#294068)

 -- Marcelo E. Magallon <mmagallo@debian.org>  Mon, 07 Feb 2005 16:51:05 -0600

glui (2.2-1) unstable; urgency=low

  * New upstream release

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sun, 02 Jan 2005 14:59:59 -0600

glui (2.1.0.beta-2) unstable; urgency=low

  * debian/control: C++ transition (closes: bug#187758)
  * s/checkbox/check box/ (closes: bug#124960)

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sun, 11 May 2003 20:28:22 +0200

glui (2.1.0.beta-1) unstable; urgency=low

  * Got new version from GLUI's homepage.
  * Preemptively fix stuff that will break on hppa/ia64/alpha
  * Makefile: new file.
  * debian/rules: use new Makefile
  * debian/libglui1.dirs: renamed to debian/libglui2.dirs (gotta find a way
    arround this)
  * debian/rules.vars: add support for build options
  * debian/rules: use DH_VERSION=3
  * debian/control: policy 3.5.6

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sun, 23 Sep 2001 12:57:28 +0200

glui (1.0.1-2) unstable; urgency=low

  * debian/control: remove libstdc++-dev from Build-Depends (thanks Matt)
    (closes: bug#105951)
  * debian/control: updated Standards-Version

 -- Marcelo E. Magallon <mmagallo@debian.org>  Fri, 20 Jul 2001 08:28:43 +0200

glui (1.0.1-1) unstable; urgency=low

  * Initial Release.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sun,  6 Aug 2000 18:18:58 +0200

=== debian/control ===
Source: glui
Section: devel
Priority: optional
Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
XSBC-Original-Maintainer: Bradley Smith <bradsmith@debian.org>
Standards-Version: 3.8.3
Build-Depends: debhelper (>= 10), freeglut3-dev, cdbs, cmake
Homepage: http://glui.sourceforge.net/
Vcs-Git: http://git.brad-smith.co.uk/git/debian/pkg-glui.git
Vcs-Browser: http://git.brad-smith.co.uk/?p=debian/pkg-glui.git

Package: libglui2c2
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:depends}
Conflicts: libglui2, libglui2c102
Description: GLUI, a C++ GLUT based GUI library - Runtime support
 GLUI provides controls such as buttons, checkboxes, radio buttons, and
 spinners to OpenGL applications.  It is window-system independent, relying
 on GLUT to handle all system-dependent issues, such as window and mouse
 management. Features of the GLUI User Interface Library include:
 .
  - Complete integration with GLUT toolkit
  - Simple creation of a new user interface window with a single line of
    code
  - Support for multiple user interface windows
  - Standard user interface controls such as:
       - Buttons
       - Checkboxes for boolean variables
       - Radio Buttons for mutually-exclusive options
       - Editable text boxes for inputting text, integers, and
         floating-point values
       - Spinners for interactively manipulating integer and floating-point
         values
       - Static text fields
       - Panels for grouping sets of controls
       - Separator lines to help visually organize groups of controls
  - Controls can generate callbacks when their values change
  - Variables can be linked to controls and automatically updated when the
    value of the control changes ("live variables")
  - Controls can be automatically synchronized to reflect changes in live
    variables
  - Controls can trigger GLUT redisplay events when their values change
  - Layout and sizing of controls is automatic
  - Controls can be grouped into columns
  - User can cycle through controls using Tab key

Package: libglui-dev
Architecture: any
Section: libdevel
Depends: libglui2c2 (= ${binary:Version}), ${misc:depends}, freeglut3-dev
Description: A GLUT-based C++ user interface library
 GLUI provides controls such as buttons, checkboxes, radio buttons, and
 spinners to OpenGL applications.  It is window-system independent, relying
 on GLUT to handle all system-dependent issues, such as window and mouse
 management. Features of the GLUI User Interface Library include:
 .
  - Complete integration with GLUT toolkit
  - Simple creation of a new user interface window with a single line of
    code
  - Support for multiple user interface windows
  - Standard user interface controls such as:
       - Buttons
       - Checkboxes for boolean variables
       - Radio Buttons for mutually-exclusive options
       - Editable text boxes for inputting text, integers, and
         floating-point values
       - Spinners for interactively manipulating integer and floating-point
         values
       - Static text fields
       - Panels for grouping sets of controls
       - Separator lines to help visually organize groups of controls
  - Controls can generate callbacks when their values change
  - Variables can be linked to controls and automatically updated when the
    value of the control changes ("live variables")
  - Controls can be automatically synchronized to reflect changes in live
    variables
  - Controls can trigger GLUT redisplay events when their values change
  - Layout and sizing of controls is automatic
  - Controls can be grouped into columns
  - User can cycle through controls using Tab key
 .
 This package contains the development files.

=== debian/watch ===
version=3
http://sf.net/glui/glui-(.*)\.tgz
